Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1887519 - [4.5]kubeletconfig's description will show multiple lines for finalizers when upgrade from 4.4.8->4.5
Summary: [4.5]kubeletconfig's description will show multiple lines for finalizers when...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.z
Assignee: Urvashi Mohnani
QA Contact: MinLi
URL:
Whiteboard:
: 1881594 (view as bug list)
Depends On: 1849543
Blocks: 1903655
TreeView+ depends on / blocked
 
Reported: 2020-10-12 17:14 UTC by OpenShift BugZilla Robot
Modified: 2020-12-14 13:50 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-14 13:50:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2150 0 None closed [release-4.6] Bug 1887519: Use mc name as finalizer for kubelet config 2020-12-09 04:04:01 UTC
Red Hat Product Errata RHSA-2020:5259 0 None None None 2020-12-14 13:50:44 UTC

Comment 3 Ryan Phillips 2020-11-11 18:30:28 UTC
*** Bug 1881594 has been marked as a duplicate of this bug. ***

Comment 6 MinLi 2020-11-30 08:30:59 UTC
verified!

upgrade from 4.4.8 to 4.5.20, then to 4.6.0-0.nightly-2020-11-29-153115.

on version 4.5.20, it shows:
  kind: KubeletConfig
  metadata:
    creationTimestamp: "2020-11-30T03:49:38Z"
    finalizers:
    - c70c3c52-c8d9-489a-8762-2524eb665ba7
    - 18a12c81-1b69-4950-9162-7b7abb6aa9c6
    generation: 1
    name: custom-kubelet
    resourceVersion: "87101"

on version 4.6.0-0.nightly-2020-11-29-153115, it shows:
  kind: KubeletConfig
  metadata:
    creationTimestamp: "2020-11-30T03:49:38Z"
    finalizers:
    - 99-worker-generated-kubelet
    generation: 1
    name: custom-kubelet
    resourceVersion: "149040"

Comment 8 errata-xmlrpc 2020-12-14 13:50:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259


Note You need to log in before you can comment on or make changes to this bug.